#ifndef STRING_H
#define STRING_H

/*
 * @(#)String.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

class String {
	class StringBuffer *buf;
	char *bytes;
public:
	String();
	String(const String &str);
	String(String *str);
	String(const char *str);
	String(class StringBuffer &buffer);
	~String();
	String &operator=(String &str);
	String &operator=(String *str);
	String &operator=(const char *str);
	String &operator+(char c);
	String &operator+(int i);
	String &operator+(String &str);
	String &operator+(const char *str);
	int charAt(int index);
	int compareToIgnoreCase(const char *str);
	int endsWith(const char *suffix);
	int equals(const char *str);
	int equalsIgnoreCase(const char *str);
	const char *getBytes();
	int indexOf(const char *str);
	int length();
	int startsWith(const char *prefix);
};

#endif
